<div>
    <h2>
        <span jhiTranslate="mpmApp.tandaTerimaDocument.home.title">Tanda Terima Documents</span>
        <button class="btn btn-primary float-right jh-create-entity create-tanda-terima-document" [routerLink]="['/', { outlets: { popup: ['tanda-terima-document-new'] } }]">
            <span class="fa fa-plus"></span>
            <span class="hidden-sm-down"  jhiTranslate="mpmApp.tandaTerimaDocument.home.createLabel">
            Create new Tanda Terima Document
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
        <div class="col-sm-12">
            <form name="searchForm" class="form-inline">
                <div class="input-group w-100 mt-3">
                    <input type="text" class="form-control" [(ngModel)]="currentSearch" id="currentSearch" name="currentSearch" placeholder="{{ 'mpmApp.tandaTerimaDocument.home.search' | translate }}">
                    <button class="input-group-addon btn btn-info" (click)="search(currentSearch)">
                        <span class="fa fa-search"></span>
                    </button>
                    <button class="input-group-addon btn btn-danger" (click)="clear()" *ngIf="currentSearch">
                        <span class="fa fa-trash-o"></span>
                    </button>
                </div>
            </form>
        </div>
    </div>
    <br/>
    <div class="table-responsive" *ngIf="tandaTerimaDocuments">
        <table class="table table-striped">
            <thead>
            <tr jhiSort [(predicate)]="predicate" [(ascending)]="reverse" [callback]="transition.bind(this)">
            <th jhiSortBy="id"><span jhiTranslate="global.field.id">ID</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="iddocument"><span jhiTranslate="mpmApp.tandaTerimaDocument.iddocument">Iddocument</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="idreceipt"><span jhiTranslate="mpmApp.tandaTerimaDocument.idreceipt">Idreceipt</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="doctype"><span jhiTranslate="mpmApp.tandaTerimaDocument.doctype">Doctype</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="doc"><span jhiTranslate="mpmApp.tandaTerimaDocument.doc">Doc</span> <span class="fa fa-sort"></span></th>
            <th jhiSortBy="nourut"><span jhiTranslate="mpmApp.tandaTerimaDocument.nourut">Nourut</span> <span class="fa fa-sort"></span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let tandaTerimaDocument of tandaTerimaDocuments ;trackBy: trackId">
                <td><a [routerLink]="['../tanda-terima-document', tandaTerimaDocument.id ]">{{tandaTerimaDocument.id}}</a></td>
                <td>{{tandaTerimaDocument.iddocument}}</td>
                <td>{{tandaTerimaDocument.idreceipt}}</td>
                <td>{{tandaTerimaDocument.doctype}}</td>
                <td>
                    <a *ngIf="tandaTerimaDocument.doc" (click)="openFile(tandaTerimaDocument.docContentType, tandaTerimaDocument.doc)">
                        <img [src]="'data:' + tandaTerimaDocument.docContentType + ';base64,' + tandaTerimaDocument.doc" style="max-height: 30px;" alt="tandaTerimaDocument image"/>
                    </a>
                    <span *ngIf="tandaTerimaDocument.doc">{{tandaTerimaDocument.docContentType}}, {{byteSize(tandaTerimaDocument.doc)}}</span>
                </td>
                <td>{{tandaTerimaDocument.nourut}}</td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../tanda-terima-document', tandaTerimaDocument.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'tanda-terima-document/'+ tandaTerimaDocument.id + '/edit'} }]"
                                replaceUrl="true"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'tanda-terima-document/'+ tandaTerimaDocument.id + '/delete'} }]"
                                replaceUrl="true"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
        <div *ngIf="tandaTerimaDocuments && tandaTerimaDocuments.length">
            <div class="row justify-content-center">
                <jhi-item-count [page]="page" [total]="queryCount" [itemsPerPage]="itemsPerPage"></jhi-item-count>
            </div>
            <div class="row justify-content-center">
                <ngb-pagination [collectionSize]="totalItems" [(page)]="page" (pageChange)="loadPage(page)"></ngb-pagination>
            </div>
        </div>
</div>
